---
- name: Install GPG Key
  ansible.builtin.rpm_key:
    key: https://rpm.grafana.com/gpg.key
    state: present

- name: Install Grafana Repo
  community.general.zypper_repository:
    name: grafana
    description: Grafana Repository
    repo: https://rpm.grafana.com
    runrefresh: true
    enabled: true
    state: present
    auto_import_keys: true